2007-06-24 12:00 jkrueger1:
	* lib/API.h lib/sec_api.c lib/dc/dcrd_cli.c lib/dbase/update_cli.c
	lib/util_api.c lib/Device.cpp: add the security API into the doxygen 
	generated documentation
2007-06-19 15:00 jkrueger1:
	* lib/util_api.c: Fix wrong device name in dev_ping if the device
	name contains the nethost
2007-06-19 12:00 jkrueger1:
	* lib/tango/tango_api.cpp: Backport from branch: 3.97
2007-01-16 09:00 jkrueger1:
	* system/dbase/server/mysql_impexp.cpp: Fix: extraction of program
	number (take it from the branch 3_97_0, done by Jean-Luc)
2007-01-15 18:00 jkrueger1:
	* misc/tacoenv.*.in: Change the default database type
	* configure.ac: Change version number
	* acinclude.m4: FIX: SQLITE3SUPPORT is undefined conditional if dbm 
	server is disabled. Set default database backend.
	* system/dbase/server/mysql_resbro.cpp system/dbase/server/mysql_serv.cpp:
	import changes made by Jean-Luc in the 3_97_0 branch to fix the array
	bug in resource files
2006-12-07 16:30 jkrueger1:
	* configure.ac ext: rearrange the sources in the 'ext' directory
	* acinclude.m4: Improve the detection of the omniORB installation, use 
	pkg-config now, FIX: bug in the log4cpp detection
	* bindings/labview: Add some files missed in the distribution
2006-11-21 16:00 jkrueger1:
	* configure.ac: Enable the TACO_LABVIE_BINDING macro
	* acinclude.ac: Add the 'TACO_LABVIEW_BINDING' macro for detection and
	configuration of the LabVIEW binding
	* binding/Makefile.am: Improve the dependencies checking and add the 
	labview directory
	* labview/server/lv_dsclass.c labview/server/lv_dsapi.c: Add the 'config.h'
	file and use the right libs
	* bindings/labview/server/Makefile.am: Integrate it into the distribution
	* bindings/labview/server/test.c: Small test program for the labview binding
	* bindings/labview/server/extcode.h: Removed since it belongs to the LabVIEW
	distribution/installation
	* bindings/labview/server/doc bindings/labview/client/doc: Add the 
	documentation
	* bindings/labview/client/TacoSilvia.h: Improve doc
	* bindings/labview/client/LabViewClient.cpp: use the 'config.h"
	* labview: This directory is removed since the code is in the 
	bindings/labview directory
2006-11-07 17:00 jkrueger1:
	* configure.ac: New version number
	* acinclude.m4: Add 'stdlib.h' include for the 'exit' function
	* tests/test_client2.cpp specialtest.at: Improve the tests
	* lib/dbase/utils_api.c: use isspace macro instead of the number of '\t'
	* system/dbase/server/dbm_impexp.cpp system/dbase/server/dbm_update.cpp:
	add dynamic logging
2006-11-03 11:00 jkrueger1:
	* Makefile.am: Improve the dependency handling
	* acinclude.m4: Fix the check for installed sqlite3
	* classes/updatedaemon/poller.c: Fix the signal handling on BSD systems
	* m4/taco.m4: look for RPC header files
	* system/dbase/server/Makefile.am: Improve the SQLite3 support
	* system/dbase/server/Sqlite3Server.h: Enable dynamic logging
	* system/dbase/server/sqlite3_impexp.cpp system/dbase/server/sqlite3_tools.cpp
	system/dbase/server/sqlite3_update.cpp: Adopt changes from mySQL part
	* system/starter/startup.cpp: prefer local header files
	* tests/dbase.at tests/devices.at tests/gdbm.at tests/specialtest1.at
	tests/starter.at: Fix shell command problems on BSD systems
2006-10-27 12:00 andy_gotz:
	* system/dbase/server/MySqlServer.h system/dbase/server/dbm.cpp
	system/dbase/server/main_svc.cpp: Enable dynamic logging
	* system/dbase/server/mysql_impexp.cpp system/dbase/server/mysql_tools.cpp: 
	Save informations of last server
2006-10-17 16:00 jkrueger1:
	* system/msg/MessageServer.c: fix access rights for opened message files
	* tests : improve the test environment
2006-10-17 08:00 jkrueger1:
	* autogen.sh : Add the usage of automake 1.1X
	* system/dbase/server/Makefile.am: add Sqlite3Server.h to the distribution
2006-09-27 14:00 jkrueger1:
	* system/manager: Use a enum value for storing the information about
	the database backend type
	* misc: Enable the use of the SQLite3 database backend
	* system/dbase/server/sqlite3_*.cpp: Implement a first SQLite3 database
	backend
	* system/dbase/server: Clean up some code in the headers files
	* system/dbase/server/dbm_tools.cpp: Count even all not exported devices
	in the db_srvinfo method
	* system/dbase/server/mysql_*.cpp: Fix some problems detected by the 
	checks of the SQLite3 backend
	* configure.ac: enable the 'rpc/pmap_clnt.h' header check
	* acinclude.m4: enable the use of the SQLite3 database backend
	* system/starter/starter.cpp: Add some additional debugging output
2006-09-22 18:30 jkrueger1:
	* test: improve the test according to the enabled/disabled options
	* m4/python.m4: add the '--enable-python' option
2006-09-18 23:30 jkrueger1:
	* tests: add the copyright to all test commands
	* bindings/python bindings/tcl classes/agps classes/instverify
	classes/powersupply classes/serialline classes/signal/multiple 
	classes/signal/single classes/updatedaemon system/dbase/greta
	system/dc/library system/dc/server system/dc/tools system/manager
	system/msg system/starter system/xdevmenu: 
	include the config.h file, add the copyright 
	* ext: include the config.h file
	* system/alarm system/dbase/tools/_count.h: add the copyright
	* AUTHORS: add some developers
	* m4/taco.m4: Add the x86_64 architecture
	* acinclude.m4: Add the x86_64 architecture, fix a problem with the
	detection of the correct pthread installation
	* configure.ac: add the detection of sys/sem.h sys/shm.h sys/resource.h
2006-09-06 17:15 jkrueger1:
        * tests: add a test for the resource parser 'db_analyze_data' function
        * lib/dbase/util_cli.c: Rewrite the resource parser
2006-09-05 15:00 jkrueger1:
	* tests: Improve the db_update test routine
	* system/dbase/server/dbm_update.cpp: Fix arrays of data are broken and
	following resources from the resource files are added
2006-08-28 23:00 jkrueger1:
	* lib/util_api.c: Use the first host name if the host name length is 
	short enough to use it.
2006-08-18 14:30 jkrueger1:
	* tests : Fix some problems with the checks if no libraries in the path
	* misc/Makefile.am: Fix: uninstall problem of the environment scripts
	* misc/tacoenv.sh: Fix: problems with the libraries
	* bindings/python/lib/taco.c: Fix: free of a static allocated memory
	(reported by Michael Wagner FZ Juelich), substitute strcpy by strncpy
	* m4/taco.m4: enable fast install option as default
	* gdbm/configure.ac: Add detection of makeindex program
	* autogen.sh gdbm/autogen.sh: Enable usage of autconf-2.6x
2006-08-03 14:00 jkrueger1:
	* lib/DevServerMain.c: on unix like systems the server may be started
	as daemon, use option -d
2006-08-01 18:25 jkrueger1:
	* ext/ : Add the copyright into the head of the files
	* system/starter: Use the 'DevLong' version of 'long'
2006-07-05 16:00 jkrueger1:
        * configure.ac m4/taco.m4: Move the code for the detection of the
        'socklen_t' structure to taco.m4 file.
        * system/dbase/server/NdbmClass.h system/starter.h: FIX: wrong definitions
        of the methods (gcc: 4.1.X)
	* lib/Makefile: improve the handling of the pthread library
	* lib/API.h: Make code more C99 standard compatible
2006-04-21 06:30 jkrueger1:
	* ext/common/include/TACOStates.h: Fix: SWIG >= 1.3.27 has problems
	with some defines and #error directives
	* system/dbase/tools/Makefile.am: Fix: Do not use a installed 'ndbm.h'
	for building the 'db_dump' tool 
2006-04-17 12:30 jkrueger1:
	* lib/svc_api.c lib/Device.cpp: Fix query command informations for
	empty command lists
2006-04-16 18:30 jkrueger1:
	* misc/taco-*.pc.in: Use pkg-config for detecting the right options
	for the client and server libs
2006-04-14 18:30 jkrueger1:
	* m4/swig.m4: Fix the order of command line options of the find
	command, changes due to newer versions of SWIG
	* m4/tacoext.m4: Added
	* gdbm/Makefile.am: Fix the ndbm.h problem
	* gdbm/ndbm.h: Fix: GCC 4 problems with missed parameters
        * acinclude.m4: Fix the ndbm.h problem 
        * ext: Add the directory for extending TACO to improve the building
	of C++ based device servers
	* lib/svc_api.c: device_server() put all from config_flags to 
	multi_nethost[0].config_flags before calling startup
	* lib/gen_api.c lib/sec_api.c: use taco_gethostname instead of gethostname
	* system/msg system/manager: Add more messages and reformat the output
	* system/dbase/server: Log all transactions on the database
2005-11-16 09:30 andy_gotz:
	* fixed problems with data collector starting without resources
	and dc write api not working correctly
	* updated db_dump tool
	* fixed bug in security mode for C++ device servers (which could cause them
	to take all the available memory and eventually crash the system !)
	* updated taco library version to 11.0.2 and taco package to 3.91.0
2005-10-19 13:00 jkrueger1:
	* lib/dbase/setacc_cli.c: Fix: some problems with dev_import and not
	set NETHOST environment variable. Imports of devices on different host
	may crash if the import came in the following order. //host1/dev1, 
	//host2/dev2, //host1/dev3, ...
2005-07-25 10:30 jkrueger1:
        * system/dbase/server/dbm_clo_op.cpp: Fix: open problems with database
        files on NFS file systems
2005-07-20 10:30 jkrueger1:
	* prepare the communication between 32 and 64 bit operation systems.
	Mainly the XDR specific part was adopted.
2005-07-19 15:00 jkrueger1:
	* system/dbase/server/mysql_tools.cpp: Fix: database server crashes
	if a device server contains more than one device class and
	'db_devicetree' was called and then 'db_devres' on a device belonging
	to the server with more than one device class
	* misc/taco.status.in: New to check the status of Manager, dbm_server,
	and MessageServer
	* system/dbase/tools/db_hostlist.cpp: List all hosts known in database
	* system/dbase/tools/db_devicelist.cpp: List all devices known in
	database
	* system/Makefile.am system/dbase/Makefile.am: FIX: Build database in
	always
2005-06-27 15:00 jkrueger1:
	* lib/Device.cpp lib/dbase/update_cli.c setacc_xdr.c: Fix the
	problems with long device and resource names.
2005-06-15 12:00 jkrueger1:
        * system/dc/tools: Add the -h option to all tools to get help
        output
2005-06-13 17:00 jkrueger1:
	* m4/taco.m4: Change the detection of the taco-lib
	* autogen.sh: Add the detection of newest autotools on the system
	(useful on FreeBSD systems)
	* system/dbase/tools: Add the '-h' options to the command line
	paramters
2005-05-20 18:20 jkrueger1:
	* configure.ac m4/taco.m4: Detection of sys/param.h header file
	* lib/util_api.c: Bugfix - if hostname longer than 20 bytes
	* lib/dbase/db_setup.h: Use sys/param.h if exists
	* system/dbase/server/main_svc.cpp: write the NETHOST instead of
	host
2005-05-20 15:15 jkrueger1:
	* system/msg/MessageServerMain.c system/dbase/server/main_srv.cpp:
	Ignore the HUP signal
2005-05-19 10:00 jkrueger1:
	* Ensure the use of full qualified hostnames to ensure the
	communication between client and server.
2005-05-18 15:00 jkrueger1:
	* m4/python.m4: Improve the detection of the Python library
	* autogen.sh gdbm/autogen.sh: Improve the detection and use of
	the different versions of automake, autoconf, and libtool
	(solves problems on FreeBSD)
2005-05-17 17:00 jkrueger1:
	* Allow hostnames longer than 20 bytes.
2005-05-02 13:00 jkrueger1:
	* lib/dev_api.c: Bugfix: close of not initialized TCP socket
	variable exits Python if an imported device is deleted (freed)
2005-04-26 10:00 jkrueger1:
	* m4/python.m4: Bugfix: detection of libpython failes due to the
	cached values of the detection result.
2005-04-25 18:00 jkrueger1:
	* m4/python.m4: Bugfix wrong written variable substitution
	(worked on Linux not on FreeBSD)
2005-04-21 13:00 jkrueger1:
	* Fix some problems with the detection of the Python development
	environment
	* improve the detection of the TACO libraries for projects using
	TACO
2005-04-11 19:00 jkrueger1:
	* Fix some problems with the MessageServer
	* Integrate the Message server test
	* Change the command line options help for the Servers
	* Fix bugs with command line options
2005-03-10 10:30 jkrueger1:
	* Manager change the daemonize process of the Manager.
	* Startup-Scripts change the startup scripts for SuSE, Debian and 
	BSD
2005-02-24 17:00 jkrueger1:
	* Fix problems with reconnecting the client to restarted device
	server.
	* Improve the detection of the 'signal' function
	* Use 'device_server' as the main entrance function for all
	servers, written in C, C++ or Python
	* Improve the Python framework for writting TACO servers
	* Add documentation in the Python TACO server framework
2004-09-22 10:00 jkrueger1:
	* Add a new test for querying of commands and events list of the
	devices
	* Fix some bugs in querying commands and events list of the
	devices
	* Tested on FreeBSD IA64 architecture
	
